> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/more-products-apis/service-reliability-management/usage.md).

# Usage

This contains APIs related to License Usage.

## GET /usage/SRM/active-monitored-services/csv/download

> Download CSV Active Monitored Services report

```json
{"openapi":"3.0.1","info":{"title":"SRM Service API Reference","version":"3.0"},"tags":[{"name":"Usage","description":"This contains APIs related to License Usage."}],"servers":[{"url":"https://cv-nextgen-94fb8b655-lbzqs"}],"paths":{"/usage/SRM/active-monitored-services/csv/download":{"get":{"tags":["Usage"],"summary":"Download CSV Active Monitored Services report","operationId":"downloadActiveMonitoredServiceCSVReport","parameters":[{"name":"accountIdentifier","in":"query","description":"Account Identifier for the Entity.","schema":{"type":"string"}},{"name":"timestamp","in":"query","schema":{"type":"integer","format":"int64","default":0}}],"responses":{"default":{"description":"Download CSV Active Monitored Services report"}}}}}}
```

## GET /usage/SRM/active-services-monitored/csv/download

> Download CSV Active Services Monitored report

```json
{"openapi":"3.0.1","info":{"title":"SRM Service API Reference","version":"3.0"},"tags":[{"name":"Usage","description":"This contains APIs related to License Usage."}],"servers":[{"url":"https://cv-nextgen-94fb8b655-lbzqs"}],"paths":{"/usage/SRM/active-services-monitored/csv/download":{"get":{"tags":["Usage"],"summary":"Download CSV Active Services Monitored report","operationId":"downloadActiveServiceMonitoredCSVReport","parameters":[{"name":"accountIdentifier","in":"query","description":"Account Identifier for the Entity.","schema":{"type":"string"}},{"name":"timestamp","in":"query","schema":{"type":"integer","format":"int64","default":0}}],"responses":{"default":{"description":"Download CSV Active Services Monitored report"}}}}}}
```

## GET /usage/CV

>

```json
{"openapi":"3.0.1","info":{"title":"SRM Service API Reference","version":"3.0"},"tags":[{"name":"Usage","description":"This contains APIs related to License Usage."}],"servers":[{"url":"https://cv-nextgen-94fb8b655-lbzqs"}],"paths":{"/usage/CV":{"get":{"tags":["Usage"],"operationId":"getLicenseUsage","parameters":[{"name":"accountIdentifier","in":"query","required":true,"schema":{"type":"string"}},{"name":"timestamp","in":"query","schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDTOSRMLicenseUsageDTO"}}}}}}}},"components":{"schemas":{"ResponseDTOSRMLicenseUsageDTO":{"type":"object","properties":{"status":{"type":"string","enum":["SUCCESS","FAILURE","ERROR"]},"data":{"$ref":"#/components/schemas/SRMLicenseUsageDTO"},"metaData":{"type":"object"},"correlationId":{"type":"string"}}},"SRMLicenseUsageDTO":{"type":"object","properties":{"accountIdentifier":{"type":"string"},"module":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"activeServices":{"$ref":"#/components/schemas/UsageDataDTO"}}},"UsageDataDTO":{"type":"object","properties":{"count":{"type":"integer","format":"int64"},"displayName":{"type":"string"},"references":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceDTO"}}}},"ReferenceDTO":{"type":"object","properties":{"name":{"type":"string"},"displayName":{"type":"string"},"identifier":{"type":"string"},"projectIdentifier":{"type":"string"},"orgIdentifier":{"type":"string"},"accountIdentifier":{"type":"string"},"count":{"type":"integer","format":"int64"}}}}}}
```

## GET /usage/SRM

>

```json
{"openapi":"3.0.1","info":{"title":"SRM Service API Reference","version":"3.0"},"tags":[{"name":"Usage","description":"This contains APIs related to License Usage."}],"servers":[{"url":"https://cv-nextgen-94fb8b655-lbzqs"}],"paths":{"/usage/SRM":{"get":{"tags":["Usage"],"operationId":"getSRMLicenseUsage","parameters":[{"name":"accountIdentifier","in":"query","required":true,"schema":{"type":"string"}},{"name":"timestamp","in":"query","schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDTOSRMLicenseUsageDTO"}}}}}}}},"components":{"schemas":{"ResponseDTOSRMLicenseUsageDTO":{"type":"object","properties":{"status":{"type":"string","enum":["SUCCESS","FAILURE","ERROR"]},"data":{"$ref":"#/components/schemas/SRMLicenseUsageDTO"},"metaData":{"type":"object"},"correlationId":{"type":"string"}}},"SRMLicenseUsageDTO":{"type":"object","properties":{"accountIdentifier":{"type":"string"},"module":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"activeServices":{"$ref":"#/components/schemas/UsageDataDTO"}}},"UsageDataDTO":{"type":"object","properties":{"count":{"type":"integer","format":"int64"},"displayName":{"type":"string"},"references":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceDTO"}}}},"ReferenceDTO":{"type":"object","properties":{"name":{"type":"string"},"displayName":{"type":"string"},"identifier":{"type":"string"},"projectIdentifier":{"type":"string"},"orgIdentifier":{"type":"string"},"accountIdentifier":{"type":"string"},"count":{"type":"integer","format":"int64"}}}}}}
```

## POST /usage/SRM/active-monitored-services

> Returns a List of active monitored services along with identifier,Active Monitored Services Count and other details

```json
{"openapi":"3.0.1","info":{"title":"SRM Service API Reference","version":"3.0"},"tags":[{"name":"Usage","description":"This contains APIs related to License Usage."}],"servers":[{"url":"https://cv-nextgen-94fb8b655-lbzqs"}],"paths":{"/usage/SRM/active-monitored-services":{"post":{"tags":["Usage"],"summary":"Returns a List of active monitored services along with identifier,Active Monitored Services Count and other details","operationId":"listSRMActiveMonitoredServices","parameters":[{"name":"accountIdentifier","in":"query","description":"Account Identifier for the Entity.","schema":{"type":"string"}},{"name":"page","in":"query","description":"Page Index of the results to fetch.Default Value: 0","schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","description":"Results per page","schema":{"maximum":50,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sort criteria for the elements.","schema":{"type":"array","items":{"type":"string"}}},{"name":"timestamp","in":"query","schema":{"type":"integer","format":"int64","default":0}}],"requestBody":{"description":"Details of the Active Services Monitored Filter","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ActiveServiceMonitoredFilterParams"}}}},"responses":{"default":{"description":"Returns a list of active monitored services","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDTOPageActiveMonitoredService"}}}}}}}},"components":{"schemas":{"ActiveServiceMonitoredFilterParams":{"type":"object","properties":{"orgIdentifier":{"type":"string","description":"Organization identifier of the Entity."},"projectIdentifier":{"type":"string","description":"Project identifier of the Entity."},"serviceIdentifier":{"type":"string","description":"Service identifier of the Entity."}},"description":"Active Services Monitored Filter Params"},"ResponseDTOPageActiveMonitoredService":{"type":"object","properties":{"status":{"type":"string","enum":["SUCCESS","FAILURE","ERROR"]},"data":{"$ref":"#/components/schemas/PageActiveMonitoredService"},"metaData":{"type":"object"},"correlationId":{"type":"string"}}},"PageActiveMonitoredService":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"last":{"type":"boolean"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ActiveMonitoredService"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/Sort"},"first":{"type":"boolean"},"pageable":{"$ref":"#/components/schemas/Pageable"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"ActiveMonitoredService":{"required":["identifier"],"type":"object","properties":{"identifier":{"type":"string","description":"Active Service identifier."},"monitoredServiceCount":{"type":"integer","description":"Monitored Service Count.","format":"int64"},"name":{"type":"string","description":"Active Service name."},"orgName":{"type":"string","description":"Organization name."},"envNames":{"type":"array","description":"Environment name.","items":{"type":"string","description":"Environment name."}},"projectName":{"type":"string","description":"Project name."},"accountIdentifier":{"type":"string"},"module":{"type":"string"},"timestamp":{"type":"integer","format":"int64"}},"description":"This is details of the Active Service Monitored entity defined in Harness."},"Sort":{"type":"object","properties":{"empty":{"type":"boolean"},"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}}},"Pageable":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/Sort"},"pageSize":{"type":"integer","format":"int32"},"pageNumber":{"type":"integer","format":"int32"},"paged":{"type":"boolean"},"unpaged":{"type":"boolean"}}}}}}
```
